
library tags.showcase;

import 'dart:html';
import 'package:tags/html.dart';

main() {  
  document.body.append(
      div(() {
        h1()..text = 'HTML Tags Showcase.';
        h2()..text = 'Text:';
        p(() {
          text('Lorem ipsum dolor sit amet,');
          b()..text = ' consectetur adipisicing elit, sed do ';
          text('eiusmod tempor incididunt ut labore et dolore magna aliqua.');
        });
        h2()..text = 'Tables:';
        table(() {
          thead(() {
            tr(() {
              th()..text = 'First';
              th()..text = 'Last';
              th()..text = 'Age';
            });
          });
          tbody(() {      
            tr(() {
              td()..text = 'Jill';
              td()..text = 'Smith';
              td()..text = '29';
            });
            tr(() {
              td()..text = 'John';
              td()..text = 'Smith';
              td()..text = '33';
            });
          });
        })..border = '1';
        h2()..text = 'Lists:';
        h3()..text = 'Unordered:';
        ul(() {
          li()..text = 'Coffee';
          li()..text = 'Tea';
          li()..text = 'Milk';
        });
        h3()..text = 'Ordered:';
        ol(() {
          li()..text = 'One';
          li()..text = 'Two';
          li()..text = 'Three';
        });        
      }));
}
